{
  cooldown: 0.0,
  areas: [
    {
      name: "ANYWHERE",
      rect: { x: 0, y: 0, w: 100, h: 100 },
      isEnterable: 1
    }
  ],
  switches: [
    {
      areas: [ "ANYWHERE" ],
      triggers: [
        { triggerType: KEY,   key:   "KEY_ESCAPE",
            actions: { press:    [ { id: "LOGIC_RETURN", info: "PAUSE" } ]
            }
        },
        { triggerType: JPAD,  jpadFlag: BACK,
            actions: { press:    [ { id: "LOGIC_RETURN", info: "PAUSE" } ]
            }
        },
        { triggerType: EXTERNAL, key: "P",
            actions: { press:    [ { id: "START_ACTION", info: "0" } ],
                       release:  [ { id: "STOP_ACTION",  info: "0" } ]
            }
        },
        { triggerType: EXTERNAL, key: "L",
            actions: { press:    [ { id: "START_ACTION", info: "1" } ],
                       release:  [ { id: "STOP_ACTION",  info: "1" } ]
            }
        },
        { triggerType: EXTERNAL, key: "KEY_SPACE",
            actions: { press:    [ { id: "START_ACTION", info: "2" } ],
                       release:  [ { id: "STOP_ACTION",  info: "2" } ]
            }
        },
        { triggerType: EXTERNAL, jpadFlag: "B1",
            actions: { press:    [ { id: "START_ACTION", info: "0" } ],
                       release:  [ { id: "STOP_ACTION",  info: "0" } ]
            }
        },
        { triggerType: EXTERNAL, jpadFlag: "B2",
            actions: { press:    [ { id: "START_ACTION", info: "1" } ],
                       release:  [ { id: "STOP_ACTION",  info: "1" } ]
            }
        },
        { triggerType: EXTERNAL, jpadFlag: "B3",
            actions: { press:    [ { id: "START_ACTION", info: "2" } ],
                       release:  [ { id: "STOP_ACTION",  info: "2" } ]
            }
        },
        { triggerType: EXTERNAL, mouseButton: LMB,
            actions: { press:    [ { id: "START_ACTION", info: "0" } ],
                       release:  [ { id: "STOP_ACTION",  info: "0" } ]
            }
        },
        { triggerType: EXTERNAL, mouseButton: RMB,
            actions: { press:    [ { id: "START_ACTION", info: "1" } ],
                       release:  [ { id: "STOP_ACTION",  info: "1" } ]
            }
        },
        { triggerType: EXTERNAL, mouseButton: MMB,
            actions: { press:    [ { id: "START_ACTION", info: "2" } ],
                       release:  [ { id: "STOP_ACTION",  info: "2" } ]
            }
        },
      ],
      delays: { press: 1 },
      actions: { }
    },
    {
      areas: [ "ANYWHERE" ],
      triggers: [
        { triggerType: EXTERNAL,   key:   "W" },
        { triggerType: EXTERNAL,   jpadFlag: UP },
        { triggerType: EXTERNAL,   jpadFlag: DPAD_UP },
      ],
      delays: { press: 1 },
      actions: { press:    [ { id: "START_MOVE", info: "UP" } ],
                 release:  [ { id: "STOP_MOVE",  info: "UP" } ] }
    },
    {
      areas: [ "ANYWHERE" ],
      triggers: [
        { triggerType: EXTERNAL,   key:   "S" },
        { triggerType: EXTERNAL,   jpadFlag: DN },
        { triggerType: EXTERNAL,   jpadFlag: DPAD_DN },
      ],
      delays: { press: 1 },
      actions: { press:    [ { id: "START_MOVE", info: "DN" } ],
                 release:  [ { id: "STOP_MOVE",  info: "DN" } ] }
    },
    {
      areas: [ "ANYWHERE" ],
      triggers: [
        { triggerType: EXTERNAL,   key:   "A" },
        { triggerType: EXTERNAL,   jpadFlag: LF },
        { triggerType: EXTERNAL,   jpadFlag: DPAD_LF },
      ],
      delays: { press: 1 },
      actions: { press:    [ { id: "START_MOVE", info: "LF" } ],
                 release:  [ { id: "STOP_MOVE",  info: "LF" } ] }
    },
    {
      areas: [ "ANYWHERE" ],
      triggers: [
        { triggerType: EXTERNAL,   key:   "D" },
        { triggerType: EXTERNAL,   jpadFlag: RT },
        { triggerType: EXTERNAL,   jpadFlag: DPAD_RT },
      ],
      delays: { press: 1 },
      actions: { press:    [ { id: "START_MOVE", info: "RT" } ],
                 release:  [ { id: "STOP_MOVE",  info: "RT" } ] }
    },
  ]
}
